# flutter_bottom_navigation_bar_items
![pub](https://img.shields.io/badge/pub-v0.1.0-orange)

osm plugin for flutter apps (only Android for now, iOS will be supported in future)

* current position
* change position 
* tracking user location
  
## Getting Started


## Installing

Add the following to your `pubspec.yaml` file:

    dependencies:
      osm_flutter: ^0.1.0
## Simple Usage
#### Creating a basic `OSMFlutter`

    OSMFlutter(
            key: osmKey,
            currentLocation: false,
            initPosition: GeoPoint(latitude: 47.35387, longitude: 8.43609),
      );

### Declare GlobalKey to get selection

`  GlobalKey<OSMFlutterState> osmKey = GlobalKey<OSMFlutterState>();`

### set current position

` osmKey.currentState.currentPosition() `

### zoomIN

` osmKey.currentState.zoom(2.) `


### zoomOut

` osmKey.currentState.zoom(-2.) `

### enabled track current position

` osmKey.currentState.trackMe() `

### initialise position

` checkboxKey.currentState.initLocationPosition(GeoPoint(latitude: 47.35387, longitude: 8.43609)) `

####  `OSMFlutter`
| Properties           | Description                         |
| -------------------- | ----------------------------------- |
| `currentLocation`    | enable the current position.        |
| `trackMyPosition`    | enbaled tracking user position.     |
| `showZoomController` | show default zoom controller.       |
| `initPosition`       | set default position showing in map |

## NB:
`for now the map working only for android,iOS will be available soon `

#### MIT LICENCE

-------------------------------------------------------------------------------------

- ## Flutter Sound user: your [documentation is there](https://tau.canardoux.xyz/readme.html)
- ## The [CHANGELOG file is here](https://tau.canardoux.xyz/changelog.html)

-----------------------------------------------------------------------------------------------------------------------------------

![Demo](https://user-images.githubusercontent.com/27461460/77531555-77c9ec00-6ed6-11ea-9813-320f943b08cc.gif)


## Overview

Flutter Sound is a Flutter package allowing you to play and record audio for :
- Android
- iOS
- Flutter Web

Maybe, one day, we will be supported by Linux, Macos, and even (why not) Windows. But this is not top of our priorities.

Flutter Sound provides both a high level API and widgets for:

* play audio
* record audio

Flutter Sound can be used to play a beep from an asset all the way up to implementing a complete media player.

The API is designed so you can use the supplied widgets or roll your own.

- Flutter Sound requires an iOS 10.0 SDK (or later)
- Flutter Sound requires an Android API level 21 (or later)

## Features

The Flutter Sound package includes the following features

- Play and Record flutter sound or music with various codecs.
- Play local or remote files specified by their URL.
- Play assets.
- Play audio using the built in SoundPlayerUI Widget.
- Roll your own UI utilising the Flutter Sound api.
- Record audio using the builtin SoundRecorderUI Widget.
- Roll your own Recording UI utilising the Flutter Sound api.
- Support for releasing/resuming resources when the app pauses/resumes.
- Record to a Dart Stream
- Playback from a Dart Stream
- The App playback can be controled from the device lock screen or from an Apple watch

## Changelog

You can find the [changes here](https://tau.canardoux.xyz/changelog.html)


## Documentation

The [documentation is here](https://tau.canardoux.xyz/readme.html)


## Licenses

- Flutter Sound is copyrighted by Dooboolab (2018, 2019, 2020, 2021).
- Flutter Sound is released under a license with a **lesser** *copyleft* clause: the LGPL-V3 license. This means that if you modify some of Flutter Sound code you must publish your modifications under the LGPL license too.

- Tau React is copyrighted by Canardoux (2021).
- Tau React is released under a license with a **strong** *copyleft* clause : the GPL-V3 license. This means that if you use part or all of Tau React in your App, this App must be published under the GPL-V3 license, too.


## Help

&tau; is a fundamental building block needed by almost every mobile project.

I'm looking to make &tau; the go to project for Audio with support for each of the Flutter supported platforms and for React Native.

&tau; is a large and complex project which requires me to maintain multiple hardware platforms and test environments.

I greatly appreciate any contributions to the project which can be as simple as providing feedback on the API or documentation.


## Thanks

Too many projects to manage. I am burning out slowly. If you could help me cheer up, buy me a cup of coffee will make my life really happy and get much energy out of it. As a side effect, we will know that Flutter Sound is important for you, that you appreciate our job and that you can show it with a little money.

<a href="https://www.buymeacoffee.com/larpoux"><img src="https://img.buymeacoffee.com/button-api/?text=Buy me a coffee&emoji=ðŸ’›&slug=larpoux&button_colour=5F7FFF&font_colour=ffffff&font_family=Cookie&outline_colour=000000&coffee_colour=FFDD00"></a>
[![Paypal](https://www.paypalobjects.com/webstatic/mktg/Logo/pp-logo-100px.png)](https://paypal.me/thetauproject?locale.x=fr_FR)

## You can also click on the "Thumb up" button of the top of the [pub.dev page](https://pub.dev/packages/flutter_sound).

## This is free and this will reassure me that **I do not spend most of my life for nobody**.


